Subject: Re: linux-next: manual merge of the kspp tree with the rdma tree

From: Leon Romanovsky <[email-masked]>
Date: Tue, 28 Jul 2020 11:51:46 +0300

On Tue, Jul 28, 2020 at 06:45:20PM +1000, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the kspp tree got a conflict in:
>
>   drivers/infiniband/core/uverbs_cmd.c
>
> between commit:
>
>   29f3fe1d6854 ("RDMA/uverbs: Remove redundant assignments")
>
> from the rdma tree and commit:
>
>   3f649ab728cd ("treewide: Remove uninitialized_var() usage")
>
> from the kspp tree.
>
> I fixed it up (the former basically did what the latter did, so I used
> the former version) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

Thanks Stephen,
The 29f3fe1d6854 > 3f649ab728cd for drivers/infiniband/core.

> --
> Cheers,
> Stephen Rothwell